Skip to main content
POST
/
session
/
{session_id}
/
traces
Add traces to a session
curl --request POST \
  --url https://api.dp1.us.honeyhive.ai/session/{session_id}/traces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "logs": [
    {
      "project": "<string>",
      "project_id": "<string>",
      "source": "<string>",
      "event_name": "<string>",
      "event_type": "model",
      "event_id": "<string>",
      "session_id": "<string>",
      "parent_id": "<string>",
      "children_ids": [
        "<string>"
      ],
      "config": {},
      "inputs": {},
      "outputs": {},
      "error": "<string>",
      "start_time": 123,
      "end_time": 123,
      "duration": 123,
      "metadata": {},
      "feedback": {},
      "metrics": {},
      "user_properties": {}
    }
  ]
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string
required

Session ID to add traces to

Body

application/json

Request to add traces to a session

logs
object[]
required

Response

200 - application/json

Traces added successfully

Response from adding traces to a session

success
boolean
required